> ## Documentation Index
> Fetch the complete documentation index at: https://product-discovery.developer.voyado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Product Groups

> An export of the product data in Elevate 4 as a json object.

An export of the product data in Elevate 4 as a json object.

```http theme={null}
GET https://{cluster-id}.elevate-api.cloud/api/admin/v3/export/product-groups
```

## Request

<AccordionGroup>
  <Accordion title="Request header parameters">
    | Name                | Description                                   | Example       |
    | ------------------- | --------------------------------------------- | ------------- |
    | `Api-Key`\*         | API key supplied during onboarding.           | `123456789..` |
    | `Accept-Encoding`\* | Allows responses to be compressed using Gzip. | `gzip`        |
  </Accordion>

  <Accordion title="Request query parameters">
    | Name           | Description                                                                                                                                                                                                         | Example                               |
    | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------- |
    | `market`\*     | The visitor market identifier. Must match the corresponding market identifier in the <a href="https://docs.elevate.voyado.cloud/elevate/4/integration/essentials/markets-and-locales/#markets">data feed</a>.       | `UK`                                  |
    | `limit`        | The number of product groups to include. If parameter is omitted, all product groups will be returned.                                                                                                              | `10`                                  |
    | `locale`       | The visitor locale. Must match an available locale identifier on the current market in the <a href="https://docs.elevate.voyado.cloud/elevate/4/integration/essentials/markets-and-locales/#markets">data feed</a>. | `en-GB`                               |
    | `productRules` | Filter which products should be returned.                                                                                                                                                                           | `rule incl product_key {"pk1" "pk2"}` |
  </Accordion>

  <Accordion title="Example request">
    ```bash title="bash" theme={null}
    curl -i \
    -X GET \
    -H 'Api-Key: 123456789..' \
    -H 'Accept-Encoding: null' \
    "https://{cluster-id}.elevate-api.cloud/api/admin/v3/export/product-groups?market=market&limit=limit&locale=locale&productRules=productRules"
    ```
  </Accordion>
</AccordionGroup>

## Response

<AccordionGroup>
  <Accordion title="Response codes">
    | Status | Description                                                                                                                                                                                             |
    | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
    | `200`  | Query accepted. The data will be returned as an application/json-object.                                                                                                                                |
    | `403`  | Incorrect cluster credentials.                                                                                                                                                                          |
    | `404`  | Cluster not found.                                                                                                                                                                                      |
    | `406`  | No acceptable encoding found in Accept-Encoding header.                                                                                                                                                 |
    | `500`  | Server error such as cluster unavailable, busy or internal error. If 5xx errors persist, contact <a href="mailto:support@voyado.com">support</a> and attach any information found in the response body. |
  </Accordion>

  <Accordion title="Example response">
    ```json theme={null}
    {
      "market" : "se",
      "locale" : "sv-SE",
      "productGroups" : [ {
        "key" : "pg1",
        "brand" : "Box Boss",
        "department" : "Home",
        "suppressDuplicates" : false,
        "products" : [ {
          "key" : "1",
          "title" : "Basic storage box",
          "url" : "/home/storage/products/1",
          "description" : "A box for storing smaller items",
          "images" : [ {
            "typeOverride" : "misc",
            "tags" : [ "First" ],
            "custom" : [ {
              "monochrome" : "false"
            } ],
            "urls" : [ {
              "url" : "https://path/to/image",
              "width" : 800,
              "height" : 600
            } ]
          } ],
          "custom" : {
            "dimension" : [ {
              "id" : "30x20x20",
              "label" : "30x20x20"
            } ]
          },
          "variants" : [ {
            "key" : "1_0",
            "cost" : 50.0,
            "listPrice" : 100.0,
            "sellingPrice" : 75.0,
            "sizes" : [ {
              "size" : "30x20x20"
            } ],
            "stockNumber" : 5,
            "stores" : [ {
              "key" : "Store",
              "stockNumber" : 3
            } ],
            "customPrices" : [ {
              "id" : "EUR",
              "listPrice" : "10.0",
              "sellingPrice" : "10.0"
            } ],
            "custom" : {
              "rim_material" : [ {
                "id" : "a1",
                "label" : "plastic"
              } ]
            }
          } ]
        } ]
      } ]
    }
    ```
  </Accordion>
</AccordionGroup>
